Britive platform release 2026.03.01 is now live in production.

Get service identity's identity provider for authentication

Prev Next
Get
/api/workload/users/{targetUserId}/identity-provider
Security
HTTP
Type bearer
Path parameters
targetUserId
stringRequired

The random 20 alphanumeric string id of the service identity user.

Responses
200

Success retrieving the service identity's authenticating identity provider.

Expand All
object

model of the workload identity provider currently assigned to a service identity

idp
object (IdentityProvider)
idpType
string
id
integer (int32)
name
string
description
string
attributesMap
Array of object (AttributeMap)

Provider's identity attributes mapped to Britive service identity custom attributes.

object

Single identity provider attribute mapped to service identity custom attribute

idpAttr
string
userAttr
string
validationWindow
integer (int32)

The amount of time in seconds, after the token has been issued/signed, Britive will attempt to validate the unverified token. Outside this window, token validation will fail.

maxDuration
integer (int32)

The maximum number of hours the client can request the AWS token be valid.

id
integer (int32)
name
string
description
string
attributesMap
Array of object (AttributeMap)

Provider's identity attributes mapped to Britive service identity custom attributes.

object

Single identity provider attribute mapped to service identity custom attribute

idpAttr
string
userAttr
string
validationWindow
integer (int32)

The amount of time in seconds, after the token has been issued/signed, Britive will attempt to validate the unverified token. Outside this window, token validation will fail.

issuerUrl
string
allowedAudiences
Array of string
string
id
integer (int32)
name
string
description
string
attributesMap
Array of object (AttributeMap)

Provider's identity attributes mapped to Britive service identity custom attributes.

object

Single identity provider attribute mapped to service identity custom attribute

idpAttr
string
userAttr
string
validationWindow
integer (int32)

The amount of time in seconds, after the token has been issued/signed, Britive will attempt to validate the unverified token. Outside this window, token validation will fail.

bundleEndpoint
string (uri)
bundleProfile
string

the SPIFFE bundle endpoint profile

Valid values[ "https_web", "https_spiffe" ]
trustDomain
string
tokenDuration
integer (int32)

duration in seconds the identity provider tokens issued for the service identity is valid for after initial token verification.

mappingAttributes
Array of object (MappingAttribute)

mapped custom attribute values.

object

mapped custom attribute value.

attrId
string
values
Array of string
string